package m05bOrdReparaEJB;


/**
 * This is the Primary Key for the Entity EJB <tt>m05OrdenesTrabajoEB</tt>.
 */
public class m05OrdReparaPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the Ordenes de reparacion codigo, which is the primary key
   * in table <tt>m0519t00</tt>.
   */
  public String orp_codigo;
  public String orp_orden;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05OrdReparaPK) {
      m05OrdReparaPK otherKey = (m05OrdReparaPK) obj;
      return ((this.orp_codigo == otherKey.orp_codigo)&& (this.orp_orden == otherKey.orp_orden));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (this.orp_codigo.hashCode()+ this.orp_orden.hashCode());
  }

}
